import Taro, { Component } from '@tarojs/taro'
import { View } from '@tarojs/components'

import { AtTabBar, Picker } from 'taro-ui'

import './test3.scss'

class Test3 extends Component {

    config = {
        navigationBarTitleText: 'test3'
    }
    constructor() {
        super(...arguments);

        this.state = {
            multiArray: [['无脊柱动物', '脊柱动物'], ['扁性动物', '线形动物', '环节动物', '软体动物', '节肢动物'], ['猪肉绦虫', '吸血虫']],
            objectMultiArray: [
                [
                    {
                        id: 0,
                        name: '无脊柱动物'
                    },
                    {
                        id: 1,
                        name: '脊柱动物'
                    }
                ], [
                    {
                        id: 0,
                        name: '扁性动物'
                    },
                    {
                        id: 1,
                        name: '线形动物'
                    },
                    {
                        id: 2,
                        name: '环节动物'
                    },
                    {
                        id: 3,
                        name: '软体动物'
                    },
                    {
                        id: 3,
                        name: '节肢动物'
                    }
                ], [
                    {
                        id: 0,
                        name: '猪肉绦虫'
                    },
                    {
                        id: 1,
                        name: '吸血虫'
                    }
                ]
            ],
            multiIndex: [0, 0, 0],
        }

    }


    componentWillReceiveProps(nextProps) {
        //console.log(this.props, nextProps)
    }

    componentWillUnmount() { }

    componentDidShow() { }

    componentDidHide() { }

    bindMultiPickerChange(e) {
        console.log('picker发送选择改变，携带值为', e.detail.value)
        this.setState({
            multiIndex: e.detail.value
        })
    }
    bindMultiPickerCol(e) {
        console.log('修改的列为', e.detail.column, '，值为', e.detail.value);
        var data = {
            multiArray: this.state.multiArray,
            multiIndex: this.state.multiIndex
        };
        data.multiIndex[e.detail.column] = e.detail.value;
        switch (e.detail.column) {
            case 0:
                switch (data.multiIndex[0]) {
                    case 0:
                        data.multiArray[1] = ['扁性动物', '线形动物', '环节动物', '软体动物', '节肢动物'];
                        data.multiArray[2] = ['猪肉绦虫', '吸血虫'];
                        break;
                    case 1:
                        data.multiArray[1] = ['鱼', '两栖动物', '爬行动物'];
                        data.multiArray[2] = ['鲫鱼', '带鱼'];
                        break;
                }
                data.multiIndex[1] = 0;
                data.multiIndex[2] = 0;
                break;
            case 1:
                switch (data.multiIndex[0]) {
                    case 0:
                        switch (data.multiIndex[1]) {
                            case 0:
                                data.multiArray[2] = ['猪肉绦虫', '吸血虫'];
                                break;
                            case 1:
                                data.multiArray[2] = ['蛔虫'];
                                break;
                            case 2:
                                data.multiArray[2] = ['蚂蚁', '蚂蟥'];
                                break;
                            case 3:
                                data.multiArray[2] = ['河蚌', '蜗牛', '蛞蝓'];
                                break;
                            case 4:
                                data.multiArray[2] = ['昆虫', '甲壳动物', '蛛形动物', '多足动物'];
                                break;
                        }
                        break;
                    case 1:
                        switch (data.multiIndex[1]) {
                            case 0:
                                data.multiArray[2] = ['鲫鱼', '带鱼'];
                                break;
                            case 1:
                                data.multiArray[2] = ['青蛙', '娃娃鱼'];
                                break;
                            case 2:
                                data.multiArray[2] = ['蜥蜴', '龟', '壁虎'];
                                break;
                        }
                        break;
                }
                data.multiIndex[2] = 0;
                console.log(data.multiIndex);
                break;
        }
        console.log(data)
        this.setState({ multiIndex: data.multiIndex })
    }

    render() {

        return (
            <View >
                hello

                <View class='section'>
                    <View class='section__title'>多列选择器</View>
                    <Picker mode='multiSelector' onChange={this.bindMultiPickerChange.bind(this)} onColumnchange={this.bindMultiPickerCol.bind(this)} value={this.state.multiIndex} range={this.state.multiArray}>
                        <View class='picker'>
                            当前选择：{this.state.multiArray[0][this.state.multiIndex[0]]}{this.state.multiArray[1][this.state.multiIndex[1]]}{this.state.multiArray[2][this.state.multiIndex[2]]}
                        </View>
                    </Picker>
                </View>

            </View>

        )
    }
}

export default Test3

